Package it.ernytech.tdlib

## Class TdApi.MessagePaymentSuccessfulBot

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.MessageContent
    - - it.ernytech.tdlib.TdApi.MessagePaymentSuccessfulBot

Enclosing class:
  TdApi

    public static class TdApi.MessagePaymentSuccessfulBot
    extends TdApi.MessageContent

A payment has been completed; for bots only.

### Field Summary

Fields
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.
`java.lang.String` `currency` Currency for price of the product.
`long` `invoiceMessageId` Identifier of the message with the corresponding invoice; can be an identifier of a deleted message.
`byte[]` `invoicePayload` Invoice payload.
`TdApi.OrderInfo` `orderInfo` Information about the order; may be null.
`java.lang.String` `providerPaymentChargeId` Provider payment identifier.
`java.lang.String` `shippingOptionId` Identifier of the shipping option chosen by the user, may be empty if not applicable.
`java.lang.String` `telegramPaymentChargeId` Telegram payment identifier.
`long` `totalAmount` Total price for the product, in the minimal quantity of the currency.

### Constructor Summary

Constructors
`MessagePaymentSuccessfulBot()` Default constructor.
`MessagePaymentSuccessfulBot​(long invoiceMessageId, java.lang.String currency, long totalAmount, byte[] invoicePayload, java.lang.String shippingOptionId, TdApi.OrderInfo orderInfo, java.lang.String telegramPaymentChargeId, java.lang.String providerPaymentChargeId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Object

`toString`

### Field Detail

#### invoiceMessageId

    public long invoiceMessageId

Identifier of the message with the corresponding invoice; can be an identifier of a deleted message.

#### currency

    public java.lang.String currency

Currency for price of the product.

#### totalAmount

    public long totalAmount

Total price for the product, in the minimal quantity of the currency.

#### invoicePayload

    public byte[] invoicePayload

Invoice payload.

#### shippingOptionId

    public java.lang.String shippingOptionId

Identifier of the shipping option chosen by the user, may be empty if not applicable.

#### orderInfo

    public TdApi.OrderInfo orderInfo

Information about the order; may be null.

#### telegramPaymentChargeId

    public java.lang.String telegramPaymentChargeId

Telegram payment identifier.

#### providerPaymentChargeId

    public java.lang.String providerPaymentChargeId

Provider payment identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### MessagePaymentSuccessfulBot

    public MessagePaymentSuccessfulBot()

Default constructor.

#### MessagePaymentSuccessfulBot

    public MessagePaymentSuccessfulBot​(long invoiceMessageId,
                                       java.lang.String currency,
                                       long totalAmount,
                                       byte[] invoicePayload,
                                       java.lang.String shippingOptionId,
                                       TdApi.OrderInfo orderInfo,
                                       java.lang.String telegramPaymentChargeId,
                                       java.lang.String providerPaymentChargeId)

Constructor for initialization of all fields.

Parameters:
  `invoiceMessageId` - Identifier of the message with the corresponding invoice; can be an identifier of a deleted message.
  `currency` - Currency for price of the product.
  `totalAmount` - Total price for the product, in the minimal quantity of the currency.
  `invoicePayload` - Invoice payload.
  `shippingOptionId` - Identifier of the shipping option chosen by the user, may be empty if not applicable.
  `orderInfo` - Information about the order; may be null.
  `telegramPaymentChargeId` - Telegram payment identifier.
  `providerPaymentChargeId` - Provider payment identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR